ZPOCON(3f)

NAME
ZPOCON - the reciprocal of the condition number (in the 1-norm) of a complex Hermitian positive definite matrix using the Cholesky factorization A = U**H*U or A = L*L**H computed by ZPOTRF

SYNOPSIS

SUBROUTINE ZPOCON(
    UPLO, N, A, LDA, ANORM, RCOND, WORK, RWORK, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDA, N

DOUBLE
    PRECISION ANORM, RCOND

DOUBLE
    PRECISION RWORK( * )

COMPLEX*16
    A( LDA, * ), WORK( * )

PURPOSE
ZPOCON estimates the reciprocal of the condition number (in the 1-norm) of a complex Hermitian positive definite matrix using the Cholesky factorization A = U**H*U or A = L*L**H computed by ZPOTRF. An estimate is obtained for norm(inv(A)), and the reciprocal of the condition number is computed as RCOND = 1 / (ANORM * norm(inv(A))).

ARGUMENTS

UPLO    (input) CHARACTER*1
    = 'U': Upper triangle of A is stored;
    = 'L': Lower triangle of A is stored.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

A       (input) COMPLEX*16 array, dimension (LDA,N)
    The triangular factor U or L from the Cholesky factorization A = U**H*U or A = L*L**H, as computed by ZPOTRF.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

ANORM   (input) DOUBLE PRECISION
    The 1-norm (or infinity-norm) of the Hermitian matrix A.

RCOND   (output) DOUBLE PRECISION
    The reciprocal of the condition number of the matrix A, computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is an estimate of the 1-norm of inv(A) computed in this routine.

WORK    (workspace) COMPLEX*16 array, dimension (2*N)

RWORK   (workspace) DOUBLE PRECISION array, dimension (N)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value